<?php
if (session_status() === PHP_SESSION_NONE) {
    session_start();
}

class Conectar {
    protected $dbh;

    protected function Conexion() {

        include_once 'config.php';
        
        try {
            $conectar = $this->dbh = new PDO("mysql:host=" . DB_HOST . ";dbname=" . DB_NAME, DB_USER, DB_PASS);
            $this->dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
            return $conectar;
        } catch (PDOException $e) {
            error_log("Error en la base de datos: " . $e->getMessage());
            die("Error al conectar con la base de datos. Por favor, inténtelo más tarde.");
        }
    }

    public function set_names() {
        return $this->dbh->query("SET NAMES 'utf8mb4'");
    }

    public static function ruta() {
        include_once 'config.php';
        return $base_url;
    }
}
